std::future_error Class Reference
Inheritance diagram for std::future_error:
[legend]

## Public Member Functions

| future_error (future_errc __errc)
const error_code & | code () const noexcept
virtual const char * | what () const noexcept

## Friends

void | __throw_future_error (int)

## Detailed Description

Exception type thrown by futures.

Since
  C++11

Definition at line 106 of file future.

## Member Function Documentation

## what()

virtual const char* std::future_error::what | ( |  | ) | const

virtual noexcept

Returns a C-style character string describing the general cause of the current error (the same string passed to the ctor).

Reimplemented from std::logic_error.

The documentation for this class was generated from the following file:

- future